Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pci/pci-acpi.c |    2 +-
 drivers/pci/pci.c      |    1 +
 drivers/pci/probe.c    |    1 +
 drivers/pci/proc.c     |    1 +
 drivers/pci/quirks.c   |    1 +
 5 files changed, 5 insertions(+), 1 deletion(-)

diff -puN drivers/pci/pci-acpi.c~gregkh-03-pci-gregkh-pci-004_pci-sparse_cleanup drivers/pci/pci-acpi.c
--- 25/drivers/pci/pci-acpi.c~gregkh-03-pci-gregkh-pci-004_pci-sparse_cleanup	2005-04-30 13:15:34.649230032 -0700
+++ 25-akpm/drivers/pci/pci-acpi.c	2005-04-30 13:15:34.659228512 -0700
@@ -21,7 +21,7 @@
 
 static u32 ctrlset_buf[3] = {0, 0, 0};
 static u32 global_ctrlsets = 0;
-u8 OSC_UUID[16] = {0x5B, 0x4D, 0xDB, 0x33, 0xF7, 0x1F, 0x1C, 0x40, 0x96, 0x57, 0x74, 0x41, 0xC0, 0x3D, 0xD7, 0x66};
+static u8 OSC_UUID[16] = {0x5B, 0x4D, 0xDB, 0x33, 0xF7, 0x1F, 0x1C, 0x40, 0x96, 0x57, 0x74, 0x41, 0xC0, 0x3D, 0xD7, 0x66};
 
 static acpi_status  
 acpi_query_osc (
diff -puN drivers/pci/pci.c~gregkh-03-pci-gregkh-pci-004_pci-sparse_cleanup drivers/pci/pci.c
--- 25/drivers/pci/pci.c~gregkh-03-pci-gregkh-pci-004_pci-sparse_cleanup	2005-04-30 13:15:34.650229880 -0700
+++ 25-akpm/drivers/pci/pci.c	2005-04-30 13:15:34.732217416 -0700
@@ -16,6 +16,7 @@
 #include <linux/module.h>
 #include <linux/spinlock.h>
 #include <asm/dma.h>	/* isa_dma_bridge_buggy */
+#include "pci.h"
 
 
 /**
diff -puN drivers/pci/probe.c~gregkh-03-pci-gregkh-pci-004_pci-sparse_cleanup drivers/pci/probe.c
--- 25/drivers/pci/probe.c~gregkh-03-pci-gregkh-pci-004_pci-sparse_cleanup	2005-04-30 13:15:34.652229576 -0700
+++ 25-akpm/drivers/pci/probe.c	2005-04-30 13:15:34.663227904 -0700
@@ -9,6 +9,7 @@
 #include <linux/slab.h>
 #include <linux/module.h>
 #include <linux/cpumask.h>
+#include "pci.h"
 
 #define CARDBUS_LATENCY_TIMER	176	/* secondary latency timer */
 #define CARDBUS_RESERVE_BUSNR	3
diff -puN drivers/pci/proc.c~gregkh-03-pci-gregkh-pci-004_pci-sparse_cleanup drivers/pci/proc.c
--- 25/drivers/pci/proc.c~gregkh-03-pci-gregkh-pci-004_pci-sparse_cleanup	2005-04-30 13:15:34.654229272 -0700
+++ 25-akpm/drivers/pci/proc.c	2005-04-30 13:15:34.662228056 -0700
@@ -15,6 +15,7 @@
 
 #include <asm/uaccess.h>
 #include <asm/byteorder.h>
+#include "pci.h"
 
 static int proc_initialized;	/* = 0 */
 
diff -puN drivers/pci/quirks.c~gregkh-03-pci-gregkh-pci-004_pci-sparse_cleanup drivers/pci/quirks.c
--- 25/drivers/pci/quirks.c~gregkh-03-pci-gregkh-pci-004_pci-sparse_cleanup	2005-04-30 13:15:34.656228968 -0700
+++ 25-akpm/drivers/pci/quirks.c	2005-04-30 13:15:50.271855032 -0700
@@ -19,6 +19,7 @@
 #include <linux/init.h>
 #include <linux/delay.h>
 #include <linux/acpi.h>
+#include "pci.h"
 
 /* Deal with broken BIOS'es that neglect to enable passive release,
    which can cause problems in combination with the 82441FX/PPro MTRRs */
_
